# -*- coding: utf-8 -*-
# @Author: wangkun
# @Time: 2023/7/20
import argparse
import os
import sys
sys.path.append(os.getcwd())
from common.common import Common
from monitor.cpu_memory.cpu_memory import MonitorCpuMemory


class MonitorMain:
    @classmethod
    def monitor_main(cls, log_type, crawler, env):
        Common.logger(log_type, crawler).info(f"开始监控脚本 cpu、memory 状态\n")
        Common.logging(log_type, crawler, env, f"开始监控脚本 cpu、memory 状态\n")
        MonitorCpuMemory.get_all_script_cpu_memory(log_type, crawler, env)
        Common.logger(log_type, crawler).info("监控一轮结束\n")
        Common.logging(log_type, crawler, env, "监控一轮结束\n")


if __name__ == "__main__":
    parser = argparse.ArgumentParser()  ## 新建参数解释器对象
    parser.add_argument('--log_type', type=str)  ## 添加参数,注明参数类型
    parser.add_argument('--crawler')  ## 添加参数
    parser.add_argument('--env')  ## 添加参数
    args = parser.parse_args()  ### 参数赋值，也可以通过终端赋值
    MonitorMain.monitor_main(log_type=args.log_type, crawler=args.crawler, env=args.env)